Subject: Re: gc --aggressive

From: Andreas Ericsson <[email-masked]>
Date: Wed, 18 Apr 2012 10:49:07 +0200

On 04/18/2012 12:18 AM, Jeff King wrote:
> On Tue, Apr 17, 2012 at 03:17:28PM -0700, Junio C Hamano wrote:
> 
>>> How many cores are there on this box? Have you tried setting
>>> pack.windowMemory to (12 / # of cores) or thereabouts?
>>
>> Hrm, from the end-user's point of view, it appears that pack.windowMemory
>> ought to mean the total without having to worry about the division of it
>> across threads (which the implementation should be responsible for).
> 
> Agreed. I had to look in the code to check which it meant. I'm not sure
> we can change it without regressing existing users, though.
> 

Introduce a new one.

core.maxmemoryusage = <something>, which acts as an upper bound in all
codepaths where we actually keep track.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.